Community Forum

W.Welch
W.Welch
Offline
Resolved
0 votes
Just saw the 5.3.2 stuff, but not until after I had already upgraded my way... quick and dirty.

Wanted to play with Kohana, but the "Enviroment Test" page came up somewhat "lacking"

Alrighty...let's fix this thing.


yum remove php-ldap #to squash later dependency issues

#add EPEL and Remi repos to YUM
wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
wget http://rpms.famillecollet.com/enterprise/remi-release-5.rpm
rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm

yum --enablerepo=remi update mysql php #to resolve mysql dependencies

service httpd restart


Upgrade to 5.3.3. accomplished !

EDIT 10 May 2011 Tim seems to be keeping up with PHP, so consider this post obsolete. New instructions --> here <-- to upgrade.
Sunday, October 10 2010, 07:04 PM
Share this post:
Responses (10)
  • Accepted Answer

    W.Welch
    W.Welch
    Offline
    Thursday, May 12 2011, 05:46 PM - #Permalink
    Resolved
    0 votes
    Do you use it?
    Yes. I typically phpize it myself, but if an rpm is available I'd certainly use it ;)
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, May 10 2011, 10:41 PM - #Permalink
    Resolved
    0 votes
    Hi, i've not heard of it! looks interesting and straight forward enough to implement. Do you use it?
    The reply is currently minimized Show
  • Accepted Answer

    W.Welch
    W.Welch
    Offline
    Tuesday, May 10 2011, 03:58 PM - #Permalink
    Resolved
    0 votes
    Hey Tim,

    This is off-topic, but it is MY post :) so....

    Have you consider building the suhosin extention?

    Thanks.
    The reply is currently minimized Show
  • Accepted Answer

    Monday, May 02 2011, 07:43 PM - #Permalink
    Resolved
    0 votes
    5.3.6 is available as per instructions here - might help? :)
    The reply is currently minimized Show
  • Accepted Answer

    stassen
    stassen
    Offline
    Monday, May 02 2011, 07:27 PM - #Permalink
    Resolved
    0 votes
    I need some help with this procedure. I'm not finish yet, but have a missing/old location which makes the installation fail

    [root@clarkconnect ~]# yum remove php-ldap
    Loading "protect-packages" plugin
    Loading "kmod" plugin
    Setting up Remove Process
    base-kernels | 951 B 00:00
    atrpms | 3.0 kB 00:00
    6c39c5bf1237bf3a5964380c1634d8288f5df1f8-primary.sqlite.bz2 | 1.1 MB 00:02
    base-updates | 951 B 00:00
    clearcentos-os | 951 B 00:00
    base-supplements | 951 B 00:00
    base-os | 1.1 kB 00:00
    clearcentos-updates | 951 B 00:00
    base-console | 951 B 00:00
    Excluding Packages from EL $releasever - $basearch - ATrpms
    Finished
    Reducing EL $releasever - $basearch - ATrpms to included packages only
    Finished
    Resolving Dependencies
    --> Running transaction check
    ---> Package php-ldap.i386 0:5.2.9-2 set to be erased
    --> Processing Dependency: php-ldap >= 5.1.6 for package: app-php
    --> Running transaction check
    ---> Package app-php.i386 0:5.2-10 set to be erased
    --> Finished Dependency Resolution

    Dependencies Resolved

    =============================================================================
    Package Arch Version Repository Size
    =============================================================================
    Removing:
    php-ldap i386 5.2.9-2 installed 41 k
    Removing for dependencies:
    app-php i386 5.2-10 installed 0.0

    Transaction Summary
    =============================================================================
    Install 0 Package(s)
    Update 0 Package(s)
    Remove 2 Package(s)

    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    Running Transaction Test
    Finished Transaction Test
    Transaction Test Succeeded
    Running Transaction
    Erasing : app-php ######################### [1/2]
    Erasing : php-ldap ######################### [2/2]

    Removed: php-ldap.i386 0:5.2.9-2
    Dependency Removed: app-php.i386 0:5.2-10
    Complete!
    [root@clarkconnect ~]# wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
    --2011-05-02 21:23:01-- http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
    Resolving download.fedora.redhat.com... 209.132.181.24, 209.132.181.25, 209.132.181.26, ...
    Connecting to download.fedora.redhat.com|209.132.181.24|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 12232 (12K) [application/x-rpm]
    Saving to: `epel-release-5-4.noarch.rpm'

    100%[=====================================================================================>] 12,232 29.9K/s in 0.4s

    2011-05-02 21:23:02 (29.9 KB/s) - `epel-release-5-4.noarch.rpm' saved [12232/12232]

    [root@clarkconnect ~]# wget http://rpms.famillecollet.com/enterprise/remi-release-5.rpm
    --2011-05-02 21:23:14-- http://rpms.famillecollet.com/enterprise/remi-release-5.rpm
    Resolving rpms.famillecollet.com... 88.191.74.232, 2a01:e0b:1:74:2e0:f4ff:fe1b:b827
    Connecting to rpms.famillecollet.com|88.191.74.232|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 4974 (4.9K) [application/x-rpm]
    Saving to: `remi-release-5.rpm'

    100%[=====================================================================================>] 4,974 --.-K/s in 0.03s

    2011-05-02 21:23:14 (143 KB/s) - `remi-release-5.rpm' saved [4974/4974]

    [root@clarkconnect ~]# rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm
    warning: remi-release-5.rpm: Header V3 DSA signature: NOKEY, key ID 00f97f56
    warning: epel-release-5-4.noarch.rpm: Header V3 DSA signature: NOKEY, key ID 217521f6
    Preparing... ########################################### [100%]
    1:epel-release ########################################### [ 50%]
    2:remi-release ########################################### [100%]
    [root@clarkconnect ~]# yum --enablerepo=remi update mysql php #to resolve mysql dependencies
    Loading "protect-packages" plugin
    Loading "kmod" plugin
    epel | 3.7 kB 00:00
    b8d15187a965c06dc0089aede25d5795a669ca4f-primary.sqlite.bz2 | 3.0 MB 00:13
    Could not retrieve mirrorlist http://rpms.famillecollet.com/enterprise/$releasever/remi/mirror error was
    [Errno 14] HTTP Error 404: Not Found
    Error: Cannot retrieve repository metadata (repomd.xml) for repository: remi. Please verify its path and try again
    [root@clarkconnect ~]#


    Any ideas ?
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, February 13 2011, 05:43 AM - #Permalink
    Resolved
    0 votes
    In case that you need php-ldap extension back to your system, you will need to compile it from the source by follow these steps:

    1. Install required packages

    yum install gcc
    yum --enablerepo=remi install php-devel


    load the PHP source code from php.net site. It might be important to load the corresponding source version.
    then extract it to the /usr/src/php. For example, the PHP 5.3.5 source code should be under /usr/src/php/php-5.3.5, and so. Then change directory to the ldap extension source code, it is under /usr/src/php/php-5.3.5/ext/ldap

    2. Compile the extension

    phpize
    ./configure --enable-ldap
    make


    3. Install the extension

    cp modules/ldap.so /usr/lib/php/modules


    And then add following content into /etc/php.d/ldap.ini

    ; Enable ldap extension module
    extension=ldap.so


    4. restart httpd
    The reply is currently minimized Show
  • Accepted Answer

    Friday, February 04 2011, 09:38 AM - #Permalink
    Resolved
    0 votes
    The PHP version used by the webconfig is seperate from the version used in the web server,so you can ignore the phpmyadmin warning

    To help with the web server PHP issues, can you look at the logs? /var/log/httpd/access_log or /var/log/httpd/error_log

    Can you also run 'php -v' and post the output?
    The reply is currently minimized Show
  • Accepted Answer

    Brian
    Brian
    Offline
    Friday, February 04 2011, 07:27 AM - #Permalink
    Resolved
    0 votes
    I followed the above and it updated to PHP 5.3.5.

    PHPMyAdmin now comes up with two warnings:

    The additional features for working with linked tables have been deactivated.
    Your PHP MySQL library version 5.0.77 differs from your MySQL server version 5.1.54. This may cause unpredictable behavior.

    and I get some garbage at the top of my website.

    Can anyone help?
    The reply is currently minimized Show
  • Accepted Answer

    Duncan
    Duncan
    Offline
    Sunday, October 24 2010, 04:06 PM - #Permalink
    Resolved
    0 votes
    W.Welch wrote:
    Just saw the 5.3.2 stuff, but not until after I had already upgraded my way... quick and dirty.

    Wanted to play with Kohana, but the "Enviroment Test" page came up somewhat "lacking"

    Alrighty...let's fix this thing.


    yum remove php-ldap #to squash later dependency issues

    #add EPEL and Remi repos to YUM
    wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
    wget http://rpms.famillecollet.com/enterprise/remi-release-5.rpm
    rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm

    yum --enablerepo=remi update mysql php #to resolve mysql dependencies

    service httpd restart


    Upgrade to 5.3.3. accomplished !



    Hi, thanks for the info.

    I did this and it seemed to work ok but oddly Ive now lost access to the ClearOS webconfig. Everything else seems to continue to function ok.

    Edit .....

    Bah, nevermind, just one particular PC playing silly buggers :) Works fine.
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 11 2010, 07:47 AM - #Permalink
    Resolved
    0 votes
    Nice! thanks

    I remember you from the CC forums :)
    The reply is currently minimized Show
Your Reply